Reconciliation Integration Schedule Job

Reconciliation Integration Schedule Job - Update

HTTP Request

PUT /api/v1/general-ledger/reconciliation-integrations/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

body

body

ReconciliationIntegrationScheduleJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ReconciliationIntegrationScheduleJobDto

Reconciliation Integration Schedule Job - Change State

HTTP Request

PUT /api/v1/general-ledger/reconciliation-integrations/{id}/enable/{state}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

state

path

boolean

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

None

Reconciliation Integration Schedule Job - Create

HTTP Request

POST /api/v1/general-ledger/reconciliation-integrations

Parameters

Name

In

Type

Required

Description

body

body

ReconciliationIntegrationScheduleJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ReconciliationIntegrationScheduleJobDto

Reconciliation Integration Schedule Job - Test Existing Sftp Connection

HTTP Request

POST /api/v1/general-ledger/reconciliation-integrations/{jobId}/connection-test

Parameters

Name

In

Type

Required

Description

jobId

path

integer(int64)

true

none

body

body

SftpConnectionTestRequestDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

boolean

Reconciliation Integration Schedule Job - Fetch Jobs

HTTP Request

POST /api/v1/general-ledger/reconciliation-integrations/jobs/search

Parameters

Name

In

Type

Required

Description

body

body

object

false

none

» filterDto

body

ReconciliationIntegrationJobDtoFilter

false

none

»» idIn

body

[integer]

false

none

»» idEqual

body

integer(int64)

false

none

»» idLike

body

string

false

none

»» createdAtGreaterThanOrEqual

body

string(date-time)

false

none

»» createdAtLessThanOrEqual

body

string(date-time)

false

none

»» createdByLike

body

string

false

none

»» createdByEqual

body

string

false

none

»» modifiedAtGreaterThanOrEqual

body

string(date-time)

false

none

»» modifiedAtLessThanOrEqual

body

string(date-time)

false

none

»» modifiedByLike

body

string

false

none

»» modifiedByEqual

body

string

false

none

»» queueTimeGreaterThanOrEqual

body

string(date-time)

false

none

»» queueTimeLessThanOrEqual

body

string(date-time)

false

none

»» startTimeGreaterThanOrEqual

body

string(date-time)

false

none

»» startTimeLessThanOrEqual

body

string(date-time)

false

none

»» endTimeGreaterThanOrEqual

body

string(date-time)

false

none

»» endTimeLessThanOrEqual

body

string(date-time)

false

none

»» statusIn

body

[string]

false

none

»» statusEqual

body

string

false

none

»» executorEqual

body

string

false

none

»» reconciliationConfigurationDtoEqual

body

ReconciliationConfigurationDto

false

none

»»» id

body

integer(int64)

false

none

»»» delimiter

body

string

true

none

»»» fields

body

[ReconciliationFieldDto]

true

none

»»»» reconciliationField

body

string

false

none

»»»» header

body

string

false

none

»»»» value

body

string

false

none

»»» startingDate

body

string(date)

true

none

»»» reconciliationIntegrationJobDtos

body

[ReconciliationIntegrationJobDto]

false

none

»»»» id

body

integer(int64)

false

none

»»»» queueTime

body

string(date-time)

false

none

»»»» startTime

body

string(date-time)

false

none

»»»» endTime

body

string(date-time)

false

none

»»»» interruptedAt

body

string(date-time)

false

none

»»»» recoveredAt

body

string(date-time)

false

none

»»»» status

body

string

false

none

»»»» recover

body

boolean

false

none

»»»» interrupted

body

boolean

false

none

»»»» interruptionMessage

body

string

false

none

»»»» errorMessage

body

string

false

none

»»»» executor

body

string

false

none

»»»» scheduleJobId

body

integer(int64)

false

none

»»»» batchSize

body

integer(int32)

false

none

»»»» totalObjectCount

body

integer(int32)

false

none

»»»» readOnly

body

boolean

false

none

»»»» profileId

body

integer(int64)

false

none

»»»» fileNamePrefix

body

string

true

none

»»»» fileType

body

string

true

none

»»»» includeHeader

body

boolean

false

none

»»»» reconciliationConfigurationDto

body

ReconciliationConfigurationDto

true

none

» pageable

body

Pageable

false

Data transfer object representing a paginated collection of ledger entries, facilitating efficient retrieval and management of financial records, transactions, and account details within the General Ledger domain.

»» page

body

integer(int32)

false

Page number for pagination

»» size

body

integer(int32)

false

Number of items per page

»» sort

body

[string]

false

Sort order specification

Enumerated Values

Attribute

Value

»» executorEqual

MANUAL, SCHEDULER

»» statusEqual

CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED

»» statusIn

CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED

»»» delimiter

COMMA, PIPE, TAB

»»»» executor

MANUAL, SCHEDULER

»»»» fileType

CSV, TXT

»»»» reconciliationField

ACCOUNTING_ENTRY, ACCOUNTING_STANDARD_DISPLAY_ID, ACCOUNTING_STANDARD_NAME, ACCOUNT_CATEGORY, ACTIVATION_GROUP_DISPLAY_ID, BUSINESS_AREA_DISPLAY_ID, BUSINESS_AREA_NAME, BUSINESS_UNIT_DISPLAY_ID, BUSINESS_UNIT_NAME, COMPANY_CURRENCY_AMOUNT, COMPANY_CURRENCY_DECIMAL_POINTS, COMPANY_CURRENCY_DISPLAY_ID, COMPANY_CURRENCY_EXCHANGE_RATE, COMPANY_CURRENCY_NAME, COMPANY_DISPLAY_ID, COMPANY_NAME, CONTRACT_COST_CENTER_DISPLAY_ID, CONTRACT_COST_CENTER_NAME, CONTRACT_CURRENCY_AMOUNT, CONTRACT_CURRENCY_DECIMAL_POINTS, CONTRACT_CURRENCY_DISPLAY_ID, CONTRACT_CURRENCY_NAME, CONTRACT_DISPLAY_ID, CONTRACT_NAME, COST_CENTER_DISPLAY_ID, COST_CENTER_NAME, DATA_CREATION_SOURCE, DEPRECIATION_AREA_DISPLAY_ID, DEPRECIATION_AREA_NAME, DESCRIPTION, DOCUMENT_DATE, DOCUMENT_TYPE_DISPLAY_ID, DOCUMENT_TYPE_NAME, ERP_SYSTEM_DISPLAY_ID, ERP_SYSTEM_NAME, EXTERNAL_DOCUMENT_NUMBER, EXTERNAL_REFERENCE_NUMBER, EXTERNAL_REVERSAL_DOCUMENT_NUMBER, EXTERNAL_STATUS, EXTERNAL_USER_NAME, FISCAL_PERIOD, FISCAL_YEAR, FUNCTIONAL_AREA_DISPLAY_ID, FUNCTIONAL_AREA_NAME, GENERAL_LEDGER_ACCOUNT_DISPLAY_ID, GENERAL_LEDGER_ACCOUNT_NAME, INTERNAL_ASSET_CLASS_DISPLAY_ID, INTERNAL_ASSET_CLASS_NAME, INTERNAL_DOCUMENT_NUMBER, INTERNAL_REVERSAL_DOCUMENT_NUMBER, INTERNAL_STATUS, JOURNAL_STATE, LEASE_AREA_DISPLAY_ID, LEASE_AREA_NAME, LEASE_CLASSIFICATION_TYPE, LEASE_COMPONENT_DISPLAY_ID, LEASE_DEPARTMENT_DISPLAY_ID, LEASE_DEPARTMENT_NAME, MIGRATED, NPM_LEASE_DISPLAY_ID, NPM_LOCATION_DISPLAY_ID, NPM_PREMISES_DISPLAY_ID, ORIGINAL_EXTERNAL_DOCUMENT_NUMBER, ORIGINAL_INTERNAL_DOCUMENT_NUMBER, PARTNER_DISPLAY_ID, PARTNER_NAME, POSTING_DATE, PRINCIPAL_POSITION_TYPE, PROFIT_CENTER_DISPLAY_ID, PROFIT_CENTER_NAME, PURCHASING_ORDER_DISPLAY_ID, PURCHASING_ORDER_NAME, PURCHASING_ORGANIZATION_DISPLAY_ID, PURCHASING_ORGANIZATION_NAME, RESPONSIBLE_COST_CENTER_DISPLAY_ID, RESPONSIBLE_COST_CENTER_NAME, SECOND_LOCAL_CURRENCY_AMOUNT, SECOND_LOCAL_CURRENCY_DECIMAL_POINTS, SECOND_LOCAL_CURRENCY_DISPLAY_ID, SECOND_LOCAL_CURRENCY_EXCHANGE_RATE, SECOND_LOCAL_CURRENCY_NAME, SEGMENT_DISPLAY_ID, SEGMENT_NAME, THIRD_LOCAL_CURRENCY_AMOUNT, THIRD_LOCAL_CURRENCY_DECIMAL_POINTS, THIRD_LOCAL_CURRENCY_DISPLAY_ID, THIRD_LOCAL_CURRENCY_EXCHANGE_RATE, THIRD_LOCAL_CURRENCY_NAME, TRADING_PARTNER_DISPLAY_ID, TRADING_PARTNER_NAME, TRANSACTION_TYPE, TRANSACTION_TYPE_VALUE, TRANSLATION_DATE, UNIT_DISPLAY_ID, WBS_DISPLAY_ID, WBS_NAME

»»»» status

CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED

Parameter Constraints

Parameter

Constraints

»» page

Min: 0

»» size

Min: 1

Responses

Status

Meaning

Description

Schema

200

OK

OK

PageReconciliationIntegrationJobDto

Reconciliation Integration Schedule Job - Export Zip

HTTP Request

POST /api/v1/general-ledger/reconciliation-integrations/jobs/export-zip

Parameters

Name

In

Type

Required

Description

body

body

ReconciliationIntegrationJobDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

None

Reconciliation Integration Schedule Job - Test Sftp Connection

HTTP Request

POST /api/v1/general-ledger/reconciliation-integrations/connection-test

Parameters

Name

In

Type

Required

Description

body

body

SftpConnectionTestRequestDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

boolean

Reconciliation Integration Schedule Job - Download Latest Job File

HTTP Request

GET /api/v1/general-ledger/reconciliation-integrations/{id}/jobs/latest/download

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

string

“string”


<aside class="warning">
<strong>🔐 Authentication</strong>: To perform this operation, you must be authenticated by means of one of the following methods:
API key
</aside>

## Reconciliation Integration Schedule Job - Download Job File


````{admonition} HTTP Request
:class: tip api-interaction-container

**GET** `/api/v1/general-ledger/reconciliation-integrations/jobs/{id}/download`

<button class="try-it-button" data-method="GET" data-path="/api/v1/general-ledger/reconciliation-integrations/jobs/{id}/download" data-project="spb" data-project-uri="sap-posting-bot">Interactive Demo</button>

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

string

“string”


<aside class="warning">
<strong>🔐 Authentication</strong>: To perform this operation, you must be authenticated by means of one of the following methods:
API key
</aside>

## Reconciliation Integration Schedule Job - Get Active Schedule Job Count


````{admonition} HTTP Request
:class: tip api-interaction-container

**GET** `/api/v1/general-ledger/reconciliation-integrations/active`

<button class="try-it-button" data-method="GET" data-path="/api/v1/general-ledger/reconciliation-integrations/active" data-project="spb" data-project-uri="sap-posting-bot">Interactive Demo</button>

Responses

Status

Meaning

Description

Schema

200

OK

OK

ReconciliationIntegrationActiveJobResponseDto